Get Global Content Item Transcript
curl --request GET \
--url https://api.example.com/api/v1/content-library/items/{item_id}/transcript \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/content-library/items/{item_id}/transcript"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/content-library/items/{item_id}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_video": true,
"status": "not_requested",
"transcript": {
"text": "",
"language": "<string>",
"duration_seconds": 1,
"speaker_count": 1,
"speakers": [
"<string>"
],
"segments": [
{
"text": "<string>",
"speaker": "<string>",
"start": 1,
"end": 1
}
]
},
"limitations": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Content Library
Get Global Content Item Transcript
GET
/
api
/
v1
/
content-library
/
items
/
{item_id}
/
transcript
Get Global Content Item Transcript
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
⌘I